import BaseButton from './base-button';
import BaseRichtext from './base-richtext';
import BaseScrollList from './base-scroll-list';
import BaseWatermark from './base-watermark';
import BusinessAudio from './business-audio';
import BusinessVideo from './business-video';
import Chart from './chart';
import ChartBarProgress from './chart-bar-progress';
import ChartCircleProgress from './chart-circle-progress';
var version = '0.0.17';

function install(Vue) {
  var components = [BaseButton, BaseRichtext, BaseScrollList, BaseWatermark, BusinessAudio, BusinessVideo, Chart, ChartBarProgress, ChartCircleProgress];
  components.forEach(function (item) {
    if (item.install) {
      Vue.use(item);
    } else if (item.name) {
      Vue.component(item.name, item);
    }
  });
}

if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}

export { install, version, BaseButton, BaseRichtext, BaseScrollList, BaseWatermark, BusinessAudio, BusinessVideo, Chart, ChartBarProgress, ChartCircleProgress };
export default {
  install: install,
  version: version
};